import 'package:auth/src/core/domain/repositories/auth_repository.dart';
import 'package:auth/src/features/link_phone/domain/use_cases/link_phone_use_case.dart';

class LinkPhoneUseCaseImpl implements LinkPhoneUseCase {
  LinkPhoneUseCaseImpl(this._repository);

  final AuthRepository _repository;

  @override
  Future<void> requestCode({required String phone}) async {
    // return _repository.requestPhoneCode(phone: phone);
    await Future<void>.delayed(const Duration(milliseconds: 500));
  }

  @override
  Future<void> verifyCode({required String phone, required String code}) async {
    // return _repository.verifyPhoneCode(phone: phone, code: code);
    await Future<void>.delayed(const Duration(milliseconds: 500));
  }
}
